<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes & Hyperlinks</title>
</head>
<body>

	<!-- 
		HTML attribute - added to modify the behavior of an HTML element. They are added inside the opening tag of an element.
			
			SYNTAX:

			<tag attribute="value">content</tag>
	 -->


	 <!-- 
		align attribute - used to modify the alignment of the text in an element; if no align attribute, the default is left alignment.
	  -->


	 <h1 align="center">HTML Attributes</h1>

	 <h4 align="center"><em>Modifier of element behaviors.</em></h4>

	 <!-- 
		reversed attr - reverses the order, but not the position of the elements.
	  -->


	 <ol reversed>
	 	<li>Kobe Bryant</li>
	 	<li>Michael Jordan</li>
	 	<li>Lebron James</li>
	 </ol>

	 <h2 align="center">HTML Images</h2>

	 	<p align="right">
	 		<em>
	 			<!-- HTML entities (&lt; and &gt;) -->
	 			<!-- 
					They are used to include special characters in our text. Some special characters used in HTML are read as part of the code. The angle braces (<>) is a common example of this. To avoid errors in our code, we use the HTML entities.
	 			 -->
	 			An image can be shown using &lt;image&gt; tag along with its <strong>src</strong> attribute
	 		</em>
	 	</p>

	 	<!-- img tag -->

	 	<!-- 

			src attr - allows locating the resource from a relative or absolute path/link

			relative path - the resource is located relatively to the index.html; the resource is in the same machine/server and is indicated by ./(inside) or ../(outside of the directory) depending on where the needed image is.

			absolute path - the source is not located relative to the index.html; instead it is located outside the machine/server (it is in the cloud/internet)

	 	 -->

	 	<img src="https://place-puppy.com/300x300">

	 	<!-- 
	 		alt attr - alternative text; used to display a text once the source of the image is not existing or erroneous.  

			height attr - modifies the height of the img element
			width attr - modifies the width of the img element
	 	-->
	 	<img src="./images/html5.jpeg" width="200" height="200" alt="logo of HTML">


	 	<hr>

	 	<h1 align="center">Levin Alvarez</h1>
	 	<h3 align="center">Full Stack Web Developer</h3>
	 	<img src="./images/avatar.jpg" height="200" width="200" alt="a picture of me">

	 	<hr>

	 	<h3> My Favorite Foods</h3>

	 	<img src="https://tallypress.com/wp-content/uploads/2020/11/apple-samgyupsal.jpg" height="250" width="250" alt="a picture of samgyeopsal">

	 	<img src="https://recipes.timesofindia.com/thumb/61589069.cms?width=1200&height=900" height="250" width="250" alt="a picture of fried chicken">

	 	<img src="https://panlasangpinoy.com/wp-content/uploads/2009/08/Pork-Adobo-Recipe-500x500.jpg" height="250" width="250" alt="a picture of adobo">


	 	<!-- 
			type attr - used to modify the style of our list. other type could be numbers, lettes or roman numerals.
	 	 -->


	 	<ol type="I">
	 		<li>Samgyeopsal</li>
	 		<li>Fried Chicken</li>
	 		<li>Adobo</li>
	 	</ol>

	 	<hr>


	 	<!-- 
			links - used to go to other webpages, outside or inside the machine/server where the index.html is located. It also follows the absolute and relative pathing/linking

			a tag - anchor tag; used to create a link inside the webpage.

			href attr - used to locate the target webpage that the user will go to once he or she clicks on the element.

			target attr - "_blank" used to open the webpages / links in another tab where our main index.html is used only outside the machine/server.
	 	 -->

	 	<h1 align="center">HTML Hyperlinks</h1>

	 	<h4>Absolute Link</h4>

	 	<!-- Text with link -->
	 	<a href="https://zuitt.co" target="_blank">Go to Zuitt</a>


	 	<!-- Image with link -->
	 	<a href="https://zuitt.co" target="_blank">
	 		<img src="https://d3ojsfl21hfxhc.cloudfront.net/assets/zuitt/zuittlogo.png">
	 	</a>


	 	<div>
	 		<a href="https://jollibeefoods.com" target="_blank">
	 			<img src="https://upload.wikimedia.org/wikipedia/en/thumb/8/84/Jollibee_2011_logo.svg/1200px-Jollibee_2011_logo.svg.png" width="200" height="200" alt="Kay Jollibee, Bida ang saya" >
	 		</a>
	 	</div>

	 	<br>
	 	<br>

	 	<h4>Relative Links</h4>

		<!-- Will direct to link.html  -->
	 	<a href="./link.html">Go to Link Page</a>

	 	<!-- Will direct us to sample.html -->
	 	<a href="./relative-sample/sample.html">Go to Sample Page</a>

</body>
</html> 